Create Custom Datacenter

Create Custom Datacenter
Create a custom datacenter

Create a custom datacenter

Request
URI
POST
https://{api_host}/suite-api/api/resources/customdatacenters
COPY
Request Body

Custom datacenter

custom-datacenter of type(s) application/json
Required

Show optional properties

{
    "childResourceIds": [
        {}
    ],
    "name": "string"
}
"{\n  \"name\" : \"custom datacenter\",\n  \"description\" : \"custom datacenter description\",\n  \"childResourceIds\" : [ \"f1f26a23-e930-4b1f-aafd-84fca7da8dbb\", \"fc3316bb-938c-4eff-9049-d0e642db7ad2\" ]\n}"
array of string
childResourceIds
Required
Constraints: minItems: 1

Resource IDs included in custom datacenter

string
description
Optional

Description of custom datacenter

string As uuid As uuid
id
Optional

Identifier of custom datacenter

string
name
Required
Constraints: minLength: 1

Name of custom datacenter

Authentication
This operation uses the following authentication methods.
Responses
201

Created custom datacenter

Returns custom-datacenter of type(s) application/json
"{\n  \"id\" : \"9454dd8a-1505-4a32-96e0-1d93405651e5\",\n  \"name\" : \"custom datacenter\",\n  \"description\" : \"custom datacenter description\",\n  \"childResourceIds\" : [ \"f1f26a23-e930-4b1f-aafd-84fca7da8dbb\", \"fc3316bb-938c-4eff-9049-d0e642db7ad2\" ]\n}"
array of string
childResourceIds
Required
Constraints: minItems: 1

Resource IDs included in custom datacenter

string
description
Optional

Description of custom datacenter

string As uuid As uuid
id
Optional

Identifier of custom datacenter

string
name
Required
Constraints: minLength: 1

Name of custom datacenter


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"childResourceIds":["string"],"name":"string"}' https://{api_host}/suite-api/api/resources/customdatacenters